Skip to content

Mark in-app web notifications as seen/read for a user

PATCH
/user/inapp/unread
curl --request PATCH \
--url https://api.pingram.io/user/inapp/unread \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "notificationId": "example", "trackingId": "example" }'

Authorizations

Request Bodyrequired

Media typeapplication/json
object
notificationId
string
trackingId
string
Examplegenerated
{
"notificationId": "example",
"trackingId": "example"
}

Responses

200

Successful response

Media typeapplication/json
object
success
required
boolean
Example
{
"success": true
}

400

Bad Request - validation errors, invalid input

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

401

Unauthorized

402

Payment Required - usage limits exceeded

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

500

Internal Server Error

502

Bad Gateway - provider error

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}